List Line Items - m3ter Documentation
List Line Items
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/lineitems \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/lineitems"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/lineitems', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
- 200: Successful retrieval of line items.
- 4XX: Client error.
- 5XX: Server error.
Example Response
{
"data": [
{
"id": "<string>",
"version": 123,
"productId": "<string>",
"description": "<string>",
"servicePeriodStartDate": "2023-11-07T05:31:56Z",
"servicePeriodEndDate": "2023-11-07T05:31:56Z",
"referencedBillId": "<string>",
"referencedLineItemId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"productName": "<string>",
"productCode": "<string>",
"accountingProductId": "<string>",
"accountingProductName": "<string>",
"accountingProductCode": "<string>",
"aggregationId": "<string>",
"compoundAggregationId": "<string>",
"counterId": "<string>",
"chargeId": "<string>",
"segment": {},
"group": {},
"meterId": "<string>",
"planId": "<string>",
"planGroupId": "<string>",
"commitmentId": "<string>",
"balanceId": "<string>",
"billId": "<string>",
"quantity": 123,
"units": 123,
"unit": "<string>",
"subtotal": 123,
"currency": "<string>",
"conversionRate": 123,
"convertedSubtotal": 123,
"creditTypeId": "<string>",
"pricingId": "<string>",
"bandUsage": [
{
"pricingBandId": "<string>",
"lowerLimit": 123,
"fixedPrice": 123,
"unitSubtotal": 123,
"unitPrice": 123,
"bandUnits": 123,
"bandQuantity": 123,
"bandSubtotal": 123,
"creditTypeId": "<string>",
"convertedBandSubtotal": 123
}
],
"reasonId": "<string>",
"contractId": "<string>",
"jsonUsageGenerated": true,
"averageUnitPrice": 123,
"sequenceNumber": 123,
"additional": {}
}
],
"nextToken": "<string>"
}
{
"message": "<string>"
}
Authorizations
- Authorization: string, header, required
- m3ter supports machine to machine authentication using the
clientCredentials OAuth2 flow.
Path Parameters
- orgId: string, required, UUID of the Organization.
Query Parameters
- commitmentId: string, Filter the line items list using the given Commitment ID.
- lineItemType: enum, Filter the line items list using the given line item type. Available options:
STANDING_CHARGE, USAGE, etc.
- billId: string, Filter based on Bill ID.
- pageSize: integer, Number of Line Items per page (1 to 100).
- nextToken: string, for multi-page retrievals.